ExceptionConst (Apache Commons BCEL 6.6.1 API)

org.apache.bcel

## Class ExceptionConst

- java.lang.Object
- - org.apache.bcel.ExceptionConst

-     public final class ExceptionConst
      extends Object

  Exception constants.
  Since:
    6.0 (intended to replace the InstructionConstant interface)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExceptionConst.EXCS` Enum corresponding to the various Exception Class arrays, used by `createExceptions(EXCS, Class...)`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Class<AbstractMethodError>` | `ABSTRACT_METHOD_ERROR`
    `static Class<ArithmeticException>` | `ARITHMETIC_EXCEPTION`
    `static Class<ArrayIndexOutOfBoundsException>` | `ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION`
    `static Class<ClassCastException>` | `CLASS_CAST_EXCEPTION`
    `static Class<ClassCircularityError>` | `CLASS_CIRCULARITY_ERROR` Linking Exceptions
    `static Class<ClassFormatError>` | `CLASS_FORMAT_ERROR`
    `static Class<ExceptionInInitializerError>` | `EXCEPTION_IN_INITIALIZER_ERROR`
    `static Class<IllegalAccessError>` | `ILLEGAL_ACCESS_ERROR`
    `static Class<IllegalMonitorStateException>` | `ILLEGAL_MONITOR_STATE`
    `static Class<IncompatibleClassChangeError>` | `INCOMPATIBLE_CLASS_CHANGE_ERROR`
    `static Class<InstantiationError>` | `INSTANTIATION_ERROR`
    `static Class<LinkageError>` | `LINKING_EXCEPTION` Super class of any linking exception (aka Linkage Error)
    `static Class<NegativeArraySizeException>` | `NEGATIVE_ARRAY_SIZE_EXCEPTION`
    `static Class<NoClassDefFoundError>` | `NO_CLASS_DEF_FOUND_ERROR`
    `static Class<NoSuchFieldError>` | `NO_SUCH_FIELD_ERROR`
    `static Class<NoSuchMethodError>` | `NO_SUCH_METHOD_ERROR`
    `static Class<NullPointerException>` | `NULL_POINTER_EXCEPTION` Run-Time Exceptions
    `static Class<RuntimeException>` | `RUNTIME_EXCEPTION` Super class of any run-time exception
    `static Class<Throwable>` | `THROWABLE` The mother of all exceptions
    `static Class<UnsatisfiedLinkError>` | `UNSATISFIED_LINK_ERROR`
    `static Class<VerifyError>` | `VERIFY_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionConst()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Class<?>[]` | `createExceptions(ExceptionConst.EXCS type, Class<?>... extraClasses)` Creates a copy of the specified Exception Class array combined with any additional Exception classes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### THROWABLE

          public static final Class<Throwable> THROWABLE

      The mother of all exceptions

    - #### RUNTIME_EXCEPTION

          public static final Class<RuntimeException> RUNTIME_EXCEPTION

      Super class of any run-time exception

    - #### LINKING_EXCEPTION

          public static final Class<LinkageError> LINKING_EXCEPTION

      Super class of any linking exception (aka Linkage Error)

    - #### CLASS_CIRCULARITY_ERROR

          public static final Class<ClassCircularityError> CLASS_CIRCULARITY_ERROR

      Linking Exceptions

    - #### CLASS_FORMAT_ERROR

          public static final Class<ClassFormatError> CLASS_FORMAT_ERROR

    - #### EXCEPTION_IN_INITIALIZER_ERROR

          public static final Class<ExceptionInInitializerError> EXCEPTION_IN_INITIALIZER_ERROR

    - #### INCOMPATIBLE_CLASS_CHANGE_ERROR

          public static final Class<IncompatibleClassChangeError> INCOMPATIBLE_CLASS_CHANGE_ERROR

    - #### ABSTRACT_METHOD_ERROR

          public static final Class<AbstractMethodError> ABSTRACT_METHOD_ERROR

    - #### ILLEGAL_ACCESS_ERROR

          public static final Class<IllegalAccessError> ILLEGAL_ACCESS_ERROR

    - #### INSTANTIATION_ERROR

          public static final Class<InstantiationError> INSTANTIATION_ERROR

    - #### NO_SUCH_FIELD_ERROR

          public static final Class<NoSuchFieldError> NO_SUCH_FIELD_ERROR

    - #### NO_SUCH_METHOD_ERROR

          public static final Class<NoSuchMethodError> NO_SUCH_METHOD_ERROR

    - #### NO_CLASS_DEF_FOUND_ERROR

          public static final Class<NoClassDefFoundError> NO_CLASS_DEF_FOUND_ERROR

    - #### UNSATISFIED_LINK_ERROR

          public static final Class<UnsatisfiedLinkError> UNSATISFIED_LINK_ERROR

    - #### VERIFY_ERROR

          public static final Class<VerifyError> VERIFY_ERROR

    - #### NULL_POINTER_EXCEPTION

          public static final Class<NullPointerException> NULL_POINTER_EXCEPTION

      Run-Time Exceptions

    - #### ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION

          public static final Class<ArrayIndexOutOfBoundsException> ARRAY_INDEX_OUT_OF_BOUNDS_EXCEPTION

    - #### ARITHMETIC_EXCEPTION

          public static final Class<ArithmeticException> ARITHMETIC_EXCEPTION

    - #### NEGATIVE_ARRAY_SIZE_EXCEPTION

          public static final Class<NegativeArraySizeException> NEGATIVE_ARRAY_SIZE_EXCEPTION

    - #### CLASS_CAST_EXCEPTION

          public static final Class<ClassCastException> CLASS_CAST_EXCEPTION

    - #### ILLEGAL_MONITOR_STATE

          public static final Class<IllegalMonitorStateException> ILLEGAL_MONITOR_STATE

  - ### Constructor Detail

    - #### ExceptionConst

          public ExceptionConst()

  - ### Method Detail

    - #### createExceptions

          public static Class<?>[] createExceptions(ExceptionConst.EXCS type,
                                                    Class<?>... extraClasses)

      Creates a copy of the specified Exception Class array combined with any additional Exception classes.
      Parameters:
        `type` - the basic array type
        `extraClasses` - additional classes, if any
      Returns:
        the merged array

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.